Subject: RE: AD review: draft-ietf-netconf-soap-05

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 1 Sep 2005 22:58:45 +0200

Inline

> -----Original Message-----
> From: Ted Goddard [mailto:[email-masked]]
> Sent: Thursday, September 01, 2005 16:51
> To: Wijnen, Bert (Bert)
> Cc: netconf
> Subject: Re: AD review: draft-ietf-netconf-soap-05
> 
> 
> 
> Hi Bert,
> 
> Thanks for reviewing the SOAP draft.
> 
> RFC 3688 describes the IANA XML Registry (I will add  a reference
> to the SOAP draft for this) covering namespace and schema
> registration.  

OK, that helps. Do you also see that your registration reuqest
must be in a predefined form as per section 4 of that RFC3688?
Make sure you align with what the netconf protocol does.
Because I think they also need to register things, no?
Maybe they already register part of what you need.

> Unfortunately it does not mention WSDL registration.
> Is it still appropriate to request that IANA host the NETCONF WSDL
> or would RFC 3688 have to be revised first?
> 

No idea. Are we the first to do any WSDL definition?
If so, then maybe some sort of registry needs to be set up.
Sould you rather register it at the xmlsoap.org?
- If the former, then a registry needs to be created and some
  rules need to be defined how things can be registered there.
  The APPS ADs may be able to help us here.
- If the latter, then at least the WG needs to agree, and I
  further not sure how other IETFers think about us using 
  registries at other organizations for standards that we
  define/approve in IETF.

I guess the WG has to make up their mind.

Does that help?
Bert
> Thanks,
> Ted.
> 
> 
> On 1-Sep-05, at 1:32 PM, Wijnen, Bert (Bert) wrote:
> 
> > Hre is my AD review. Sorry that this one slipped through
> > the cracks and took a bit longer. I have also seen
> > the suggested changes (as per below email from Ted) and
> > will assume such changes will be made.
> >
> > A lot of the SOAP/WSDL stuff is completely new for me,
> > so pls bear with me if I ask newbee questions.
> > But I think we should assume that others who read the
> > documents may also be newbees, and so maybe we should at
> > least make it all clear in the document.
> >
> > - I do not see in the document how a session-id gets
> >   passed from setting up a BEEP or HTTP conenction
> >   to the NetConf protocol level so that NetConf can use
> >   the session-id. Maybe it is there, but I do not see it.
> >   Pls explain and clarify in the text.
> >
> > - sect 3.7
> >   - Is it OK to assume a "hypothetical location", or should we
> >     decide and/or request IANA or xmlsoap.org to define a
> >     real and approved location?
> >   - Have you (has anyone) done a SYNTAX check on the WSDL
> >     document, and if so, which tool was used?
> >   - In the WSDL document, there are www.iana.org items.
> >     for example I see:
> >      <import namespace="urn:ietf:params:xml:ns:netconf:base:1.0"
> >             location="http://www.iana.org/assignments/xml-registry/
> >                       schema/netconf-base_1.0.xsd"/>
> >     WHere is that coming from.
> >     Maybe that is to be found in the missing (i.e. TBD) text from
> >     the netconf-protocol document?
> >     Another example
> >        xmlns:SOAP="http://schemas.xmlsoap.org/wsdl/soap/"
> >     Does that need a citation/reference?
> >        xmlns:tns="urn:ietf:params:xml:ns:netconf:soap:1.0"
> >     Does IANA now how to create that? Or is there no IANA
> >     action needed for that?
> >     There may be other stuff. Once I understand the above I can
> >     check further and see if I have more questions.
> >
> > - IANA considerations Section
> >   - says "IANA will". Maybe better: "IANA is requested to"
> >   - Is the port for BEEP not already requested via the
> >     netconf-over-beep document?
> >   - Where is IANA supposed to put the WSDL definition?
> >     you say in the XML registry. WHich is the document that
> >     explains how to do that? Where is the ptr to the iana
> >     we page that contains these sort of documents?
> >
> > CItation/Reference issues:
> >
> >
> > !! Missing citation for Normative reference:
> >   P018 L030:    [5]   Freed, N. and N. Borenstein, "Multipurpose  
> > Internet Mail
> >
> > !! Missing citation for Normative reference:
> >   P018 L034:    [6]   Freed, N. and N. Borenstein, "Multipurpose  
> > Internet Mail
> >
> > !! Missing citation for Normative reference:
> >   P019 L014:    [13]  Rose, M. and D. New, "Reliable Delivery for  
> > syslog", RFC 3195,
> >
> > !! Missing citation for Informative reference:
> >   P019 L035:    [18]  Barton, J., Nielsen, H. and S. Thatte, "SOAP  
> > Messages with
> >
> > !! Missing citation for Informative reference:
> >   P019 L045:    [20]  Nadalin, A., Kaler, C., Hallam-Baker, P. and  
> > R. Monzillo, "Web
> >
> > NITS:
> >
> > - Pls expand Acrionyms first time they are used.
> >   For example BEEP in the abstract.
> >   WSDL in 3rd para section 1.
> > - Sect 2.5, last sentence.
> >   you may want to add a citation (and reference) to the RFC(s)
> >   that describes "chunking and persistent connections".
> > - I see sometimes "Reciever" and other times "Receiver".
> >   I think it should be consistent: "Receiver"
> > - Security COnsiderations section:  s/IPSec/IPsec/
> >
> > Bert
> >
> >
> >> -----Original Message-----
> >> From: [email-masked] [mailto:owner- 
> >> [email-masked]]On
> >> Behalf Of Ted Goddard
> >> Sent: Tuesday, August 30, 2005 19:46
> >> To: netconf
> >> Subject: proposed changes for draft-ietf-netconf-soap-06
> >>
> >>
> >>
> >> Hi All,
> >>
> >> I would like to propose the following changes for the NETCONF SOAP
> >> draft in the indicated sections:
> >>
> >>
> >> Section 0
> >>
> >>       RFC 3978 boilerplate
> >>
> >> Section 2.4  BCP56: On the Use of HTTP as a Substrate
> >>
> >>       It is also possible to respond to the concern on the 
> re-use of
> >>       port 80.  A NETCONF SOAP service SHOULD be offered over a new
> >>       standard port for NETCONF over SOAP (over HTTP) to
> >>       be defined as requested in the IANA considerations of this
> >>       document.
> >>
> >> Section 4  Security Considerations
> >>
> >>       The IANA requested port SHOULD be used, as this provides a  
> >> means
> >>       for efficient firewall filtering during possible
> >> denial-of-service
> >>       attacks.
> >>
> >> Section 5  IANA Considerations
> >>
> >>       The IANA is requested to assign TCP ports for 
> NETCONF for SOAP
> >>       over HTTP and SOAP over BEEP.
> >>
> >>       The IANA is requested to place netconf-soap_1.0.wsdl in the
> >>       IANA XML registry.
> >>
> >> The following indicated ID-nits appear to be in error (xml2rfc
> >> output checked with "od -c"):
> >>
> >> tmp/draft-ietf-netconf-soap-05.txt(452):
> >>    Line is too long: the offending characters are 'elope"'
> >> tmp/draft-ietf-netconf-soap-05.txt(464):
> >>    Line is too long: the offending characters are
> >> 's:netconf:base:1.0">'
> >>
> >>
> >> Thanks,
> >> Ted.
> >
> 
> 

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>

---

From: "McDonald, Ira" <[email-masked]>
Date: Sun, 4 Sep 2005 09:58:37 -0700

Hi Andy,

See the W3C's Web Services Description Working Group

  http://www.w3.org/2002/ws/desc/

All of their WSDL/2.0 specs are now in second Last Call (ending
19 September 2005).  WSDL/2.0 is _NOT_ compatible with WSDL/1.1
(thus the major version change), because it was deemed impossible
to achieve compatibility in a meaningful way with the widespread
ambiguities of WSDL/1.1 specs and implementations.

FWIW, no two printer vendors implementing PSI/1.0 ever successfully 
interoperated at all without hand tweaking the SOAP emitted by their 
WSDL/1.1 tools.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

> From: Andy Bierman [mailto:[email-masked]]
> Sent: Sunday, September 04, 2005 11:16 AM
> To: McDonald, Ira
> Cc: 'Ted Goddard'; Wijnen, Bert (Bert); netconf
> McDonald, Ira wrote:
> >Hi,
> >I see (belatedly) that your WSDL is v1.1 (not a standard and
> >never will be a standard).  For what it's worth, the printing
> >industry has experienced real trouble building interoperable
> >SOAP-based implementations using WSDL/1.1 (the existing tools
> >that generate the SOAP are wildly incompatible) in our recent
> >PSI/1.0 (Print Services Interface) project in the IEEE/ISTO 
> >Printer Working Group organization.
> >
> >I seriously urge you to abandon entirely the WSDL specification
> >for NetConf.  It's only informative anyway (because WSDL/1.1
> >isn't standards track at W3C).
> >  
> >
> 
> Is there a WSDL spec that is a somewhat stable standard?
> I would rather keep the text as non-normative than remove it.
> Informative text is a Good Thing in a document intended to help
> SW developers implement a protocol specification.
> 
> >Cheers,
> >- Ira (co-editor of PSI/1.0).
> >  
> >
> 
> Andy
>